### Method

# Ide Environment get_environ

#### Declaration

    gchar**
    ide_environment_get_environ (
      IdeEnvironment* self
    )

#### Description

Gets the environment as a set of key=value pairs, suitable for use in various GLib process functions.

Available since: | 3.32

#### Return value

Returns: | An array of `utf8`
| A newly allocated string array.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.